%{?nodejs_find_provides_and_requires}

%global packagename editions
%global enable_tests 0

Name: nodejs-%{packagename}
Version: 1.1.2
Release: 1%{?dist}.3
Summary: Publish multiple editions for your JavaScript packages consistently and easily
License: MIT
URL: https://github.com/bevry/editions
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1: https://github.com/bevry/editions/raw/v%{version}/source/test.js
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(assert-helpers) >= 4.4.0
BuildRequires: npm(assert-helpers) < 5.0.0
BuildRequires: npm(joe) >= 1.8.0
BuildRequires: npm(joe) < 2.0.0
%endif

%description
Publish multiple editions for your JavaScript packages consistently
and easily (e.g. source edition, esnext edition, es2015 edition).


%prep
%setup -q -n package
cp %{SOURCE1} es2015
cp %{SOURCE1} source


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json es2015 source \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node --harmony ./es2015/test.js
%endif


%files
%license LICENSE.md
%doc README.md HISTORY.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Sep 25 2016 Oleg Girko <ol@infoserver.lv> - 1.1.2-2
- Fix missing source subdirectory.
* Sat Sep 24 2016 Oleg Girko <ol@infoserver.lv> - 1.1.2-1
- Initial package.
